:root {
  --background: rgba(216, 163, 29, 0.05); /*#8c91ab*/
  --text: rgba(7, 27, 46, 0.9); /*#ffffff*/
}

@font-face {
  font-family: "Cinzel";
  src: url("../font/Cinzel-Regular.otf");
}
@font-face {
  font-family: "CinzelBold";
  src: url("../font/Cinzel-Bold.otf");
}
@font-face {
  font-family: "Balthazar";
  src: url("../font/Balthazar-Regular.ttf");
}

body {
  background-color: var(--background);
}

/*****************************************************************************
Header
*****************************************************************************/

.block-title {
  width: 80%;
  margin: 0 auto;
  font-family: "Cinzel", Arial, sans-serif;
  padding: 16px 0 16px 0;
}
@media (max-width: 1595px) {
  .block-title {
    width: 100%;
  }
}

.block-title .title {
  width: 40%;
  min-width: fit-content;
}
.block-title .title .link {
  text-decoration: none;
  color: rgba(7, 27, 46, 0.9);
}
.block-title .title .name {
  font-size: 2.4rem;
  color: var(--text);
}
.block-title .title .description {
  font-size: 1.2rem;
  color: var(--text);
}
@media (max-width: 1595px) {
  .block-title .title {
    width: 100%;
    text-align: center;
    padding: 1rem 0 1rem 28px !important;
  }
}

.block-title .infos {
  width: 60%;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
}
.block-title .infos .link {
  display: flex;
  text-decoration: none;
}
.block-title .infos .info {
  display: flex;
  align-items: center;
}
.block-title .infos .info .info-title {
  font-size: 1.1rem;
  font-weight: bold;
  color: var(--text);
}
.block-title .infos .info .info-text {
  font-size: 0.9rem;
  font-weight: bold;
  color: var(--text);
}
.block-title .infos .info .media {
  margin: 0 auto;
}
.block-title .infos .info .media .icon {
  color: var(--text);
}
@media (max-width: 1595px) {
  .block-title .info {
    margin-bottom: 15px;
  }
}

/*****************************************************************************
Texts
*****************************************************************************/

.block-texts {
  padding: 0 100px 0 100px;
  width: 100%;
}
.block-texts .block-text {
  width: 100%;
  padding: 55px 64px 55px 64px;
  position: relative;
  margin: 0 0 50px 0;
  border-radius: 5px;
}
.block-texts .block-text .background {
  width: 100%;
  height: 100%;
  object-fit: cover;
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
  border-radius: 5px;
}
.block-texts .block-text p {
  margin: 0 0 0 0;
  padding: 24px 24px 24px 24px;
  font-family: "Balthazar", Arial, sans-serif;
  font-size: 18px;
  /*font-weight: bold;*/
}

.block-texts .block-text p {
  backdrop-filter: blur(5px);
}

/*****************************************************************************
Infos
*****************************************************************************/

.block-info {
  width: 80%;
  font-family: "Balthazar", Arial, sans-serif;
  margin: 0 auto;
  font-size: 1.2rem;
}
.block-info .title {
  font-family: "Cinzel", Arial, sans-serif;
  font-size: 1.6rem;
  color: rgba(7, 27, 46, 0.9);
}
.block-info .card-deck {
  justify-content: space-between;
}
.block-info .card-deck .card {
  border: 0px solid black;
  background-color: rgba(0, 0, 0, 0);
  color: rgba(7, 27, 46, 0.9);
  font-size: 1.5rem;
}
.block-info .card-deck .card h2 {
  font-size: 1.8rem;
}
.block-info .card-deck .card .button-link {
  text-decoration: none;
  color: steelblue;
  padding: 5px;
  border-radius: 10px;
  width: 300px;
  text-align: center;
  border: 3px solid steelblue;
  font-family: "Balthazar", Arial, sans-serif;
}
.block-info .card-deck .card .button-link:hover {
  color: white;
  background-color: steelblue;
}

.block-info .card-door {
  display: flex;
  justify-content: center;
  align-items: center;
}
.block-info .card-door .door {
  position: relative;
  align-items: center;
  height: 100%;
}
.block-info .card-door .door .door-picture {
  object-fit: cover;
  height: 320px;
  width: 320px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
.block-info .card-door .door .black-hover {
  height: 320px;
  width: 320px;
  background-color: rgba(7, 27, 46, 0.9);
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  opacity: 0;
  cursor: pointer;
  color: white;
  font-family: "Cinzel", Arial, sans-serif;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all 0.3s ease;
  font-size: 1.3rem;
}
.block-info .card-door .door .black-hover:hover {
  opacity: 0.8;
}

.block-info .link-doctolib {
  text-decoration: none;
  color: steelblue;
  padding: 5px 30px 5px;
  border-radius: 10px;
  width: fit-content;
  border: 3px solid steelblue;
  font-family: "Balthazar", Arial, sans-serif;
}
.block-info .link-doctolib:hover {
  background-color: steelblue;
  color: white;
}

@media screen and (max-width: 990px) {
  .block-info .door {
    height: 320px;
  }
}

@media screen and (min-width: 1516px) {
  .block-info .card-deck .card {
    -ms-flex: 0 0 23%;
    flex: 0 0 23%;
  }
}

@media screen and (min-width: 900px) and (max-width: 1515px) {
  .block-info .card-deck .card {
    -ms-flex: 0 0 44%;
    flex: 0 0 44%;
  }
  .block-info .card-deck .card:last-child {
    -ms-flex: 0 0 98%;
    flex: 0 0 98%;
  }
}

@media screen and (min-width: 576px) and (max-width: 899px) {
  .block-info .card-deck .card {
    -ms-flex: 0 0 98%;
    flex: 0 0 98%;
  }
}

@media screen and (max-width: 1516px) {
  .block-info .card {
    height: 450px;
  }
}

.block-map-info {
  padding: 0px;
}

/*****************************************************************************
Map
*****************************************************************************/

.block-map {
  width: 80%;
}
.block-map .map {
  text-align: center;
}
.block-map .map .map-frame {
  height: 500px;
  width: 100%;
  border: 2px solid black;
}
.block-map .map .transports {
  display: flex;
  width: 100%;
  margin: 0px;
  border-left: 1px solid black;
  border-right: 1px solid black;
  border-bottom: 1px solid black;
  margin-top: -5px;
  padding-top: 20px;
}
.block-map .map .transports .media {
  align-items: center;
  justify-content: center;
}
.block-map .map .transports .media img {
  height: 25px;
  width: 25px;
}
.block-map .map .transports .media-body {
  flex: none;
}
.block-map .map .transports .media-body .info-title {
  font-size: 1.4rem;
  text-align: left;
  color: rgba(7, 27, 46, 0.9);
  font-family: "Balthazar", Arial, sans-serif;
}
.block-map .map .transports .media-body .info-text {
  font-size: 1.2rem;
  text-align: left;
  color: rgba(7, 27, 46, 0.9);
  font-family: "Balthazar", Arial, sans-serif;
}
@media screen and (min-width: 1400px) {
  .block-map .map .map-frame {
    height: 700px;
  }
  .block-map .map .transports .media img {
    height: 40px;
    width: 40px;
  }
}
@media screen and (max-width: 1200px) {
  .block-map {
    width: 95%;
  }
  .block-map .map .transports .media {
    justify-content: flex-start;
  }
}
@media screen and (max-width: 575px) {
  .block-map .map .transports .media .first {
    margin-left: 50px;
  }
}

/*****************************************************************************
Mentions
*****************************************************************************/

.block-mentions {
  width: 100%;
  text-align: center;
  padding: 15px 0 15px 0;
  cursor: pointer;
}
